## cl-uffi 1.6.0

=== Makefile ===
--- 
+++ 
@@ -5,13 +5,9 @@
 #  Programer:    Kevin M. Rosenberg, M.D.
 #  Date Started: Mar 2002
 #
-#  CVS Id:   $Id: Makefile 7061 2003-09-07 06:34:45Z kevin $
+#  CVS Id:   $Id: Makefile 10614 2005-07-06 01:05:14Z kevin $
 #
-# This file, part of UFFI, is Copyright (c) 2002 by Kevin M. Rosenberg
-#
-# UFFI users are granted the rights to distribute and use this software
-# as governed by the terms of the Lisp Lesser GNU Public License
-# (http://opensource.franz.com/preamble.html), also known as the LLGPL.
+# This file, part of UFFI, is Copyright (c) 2002-2005 by Kevin M. Rosenberg
 
 PKG:=uffi
 DEBPKG=cl-uffi
