=== doc/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #  Programer:    Kevin M. Rosenberg
 #  Date Started: Mar 2002
 #
-#  CVS Id:   $Id: Makefile 10614 2005-07-06 01:05:14Z kevin $
+#  CVS Id:   $Id: Makefile 11021 2006-08-14 04:22:28Z kevin $
 #
 # This file, part of UFFI, is Copyright (c) 2002-2005 by Kevin M. Rosenberg
 ##############################################################################
@@ -18,6 +18,7 @@
 # Standard docfile processing
 
 DEBIAN=$(shell expr "`cat /etc/issue 2> /dev/null`" : '.*Debian.*')
+UBUNTU=$(shell expr "`cat /etc/issue 2> /dev/null`" : '.*Ubuntu.*')
 SUSE=$(shell expr "`cat /etc/issue 2> /dev/null`" : '.*SuSE.*')
 SUSE91=$(shell expr "`cat /etc/issue 2> /dev/null`" : '.*SuSE Linux 9.1.*')
 REDHAT=$(shell expr "`cat /etc/issue 2> /dev/null`" : '.*Red Hat.*')
@@ -41,6 +42,10 @@
         else   
           ifneq (${DARWIN},0)
             OS=darwin
+          else  
+            ifneq (${UBUNTU},0)
+              OS=ubuntu
+            endif 
           endif 
         endif
       endif
