## cl-uffi 1.6.2

=== examples/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #  Programer:    Kevin M. Rosenberg
 #  Date Started: Mar 2002
 #
-#  CVS Id:   $Id: Makefile 10614 2005-07-06 01:05:14Z kevin $
+#  CVS Id:   $Id$
 #
 # This file, part of UFFI, is Copyright (c) 2002-2005 by Kevin M. Rosenberg
 #
