## cl-uffi 2.0.0

=== debian/changelog ===
cl-uffi (2.0.0-1) unstable; urgency=low

  * Update upstream version for ASDF version dependency checking
  * Switch to dpkg-source 3.0 (quilt) format

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 20 Apr 2010 12:11:34 -0600

cl-uffi (1.8.6-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 11 Feb 2010 13:05:40 -0700

cl-uffi (1.8.5-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 08 Feb 2010 16:06:57 -0700

cl-uffi (1.8.4-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 08 Feb 2010 10:47:27 -0700

cl-uffi (1.8.3-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 08 Feb 2010 08:28:15 -0700

cl-uffi (1.8.2-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 07 Feb 2010 21:17:13 -0700

cl-uffi (1.8.1-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 07 Feb 2010 02:34:52 -0700

cl-uffi (1.8.0-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat, 06 Feb 2010 20:38:59 -0700

cl-uffi (1.7.3-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri, 05 Feb 2010 19:32:55 -0700

cl-uffi (1.7.2-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri, 05 Feb 2010 14:46:19 -0700

cl-uffi (1.7.1-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri, 29 Jan 2010 14:22:26 -0700

cl-uffi (1.7.0-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 28 Jan 2010 14:47:42 -0700

cl-uffi (1.6.2-3) unstable; urgency=low

  * Build with debhelper extension dh-lisp
  * control: Add Vcs-Browser field. Fix Depends field.

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 03 Aug 2009 19:09:46 -0600

cl-uffi (1.6.2-2) unstable; urgency=low

  * debian/control: Improve description

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 02 Aug 2009 06:21:27 -0600

cl-uffi (1.6.2-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 02 Aug 2009 00:58:46 -0600

cl-uffi (1.6.1-1) unstable; urgency=low

  * New upstream
  * debian/control: Require debhelper 7. Change to new lisp section.
  Add Vcs-Git and Homepage fields.
  * debian/rules: Update for DH7, architecture-independent build
  * debian/{prerm,postrm}: Remove path from binary function

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat, 01 Aug 2009 20:38:03 -0600

cl-uffi (1.6.0-1) unstable; urgency=low

  * New upstream (closes: 433814) 

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 22 Jul 2007 12:39:49 -0600

cl-uffi (1.5.18-3) unstable; urgency=low

  * debian/watch: New version

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 18 Jul 2007 20:27:04 -0600

cl-uffi (1.5.18-2) unstable; urgency=low

  * Fix build twice in a row (closes: 424155)

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 22 May 2007 11:33:27 -0600

cl-uffi (1.5.18-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 12 Apr 2007 23:48:46 -0600

cl-uffi (1.5.17-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 10 Oct 2006 08:34:43 -0600

cl-uffi (1.5.16-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat, 02 Sep 2006 20:31:11 -0600

cl-uffi (1.5.15-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 14 Aug 2006 00:21:47 -0600

cl-uffi (1.5.14-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue,  4 Jul 2006 19:23:10 -0600

cl-uffi (1.5.13-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 17 May 2006 09:08:58 -0600

cl-uffi (1.5.12-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 17 May 2006 08:09:13 -0600

cl-uffi (1.5.11-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue,  9 May 2006 09:33:59 -0600

cl-uffi (1.5.10-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 17 Apr 2006 18:05:56 -0600

cl-uffi (1.5.9-1) unstable; urgency=low

  * add GNU uname (closes: 355924)

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed,  8 Mar 2006 12:06:17 -0700

cl-uffi (1.5.8-1) unstable; urgency=low

  * Really commit patch for GNU/kFreeBSD (closes: 345220)

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 16 Jan 2006 14:47:08 -0700

cl-uffi (1.5.7-2) unstable; urgency=low

  * Commit patch for GNU/kFreeBSD (closes: 345220)

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat, 31 Dec 2005 11:11:36 -0700

cl-uffi (1.5.7-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 14 Nov 2005 19:39:25 -0700

cl-uffi (1.5.6-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 14 Nov 2005 12:02:07 -0700

cl-uffi (1.5.5-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri,  4 Nov 2005 11:59:50 -0700

cl-uffi (1.5.4-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 18 Sep 2005 01:22:50 -0600

cl-uffi (1.5.3-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat, 17 Sep 2005 23:44:20 -0600

cl-uffi (1.5.2-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat, 17 Sep 2005 22:48:11 -0600

cl-uffi (1.5.1-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed,  6 Jul 2005 21:29:46 -0600

cl-uffi (1.5.0-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue,  5 Jul 2005 19:03:23 -0600

cl-uffi (1.4.39-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed,  8 Jun 2005 18:37:06 -0600

cl-uffi (1.4.38-1) unstable; urgency=low

  * New upstream


