=== debian/rules ===
#!/usr/bin/make -f

pkg		:= uffi
pkg-tests	:= $(pkg)-tests
debpkg  	:= cl-$(pkg)
debpkg-tests  	:= $(debpkg)-tests

clc-source	:= usr/share/common-lisp/source
clc-systems	:= usr/share/common-lisp/systems
clc-files	:= $(clc-source)/$(pkg)
clc-tests	:= $(clc-source)/$(pkg-tests)
lib-dir		:= usr/lib/uffi


build: build-stamp

build-stamp:
	dh_testdir
	(cd tests; make)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(MAKE) clean
	(cd tests; make clean)
	rm -rf doc/html
	rm -f doc/cl-uffi.pdf.gz
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs --all $(clc-systems) $(clc-source) 
	dh_installdirs -p $(debpkg) $(clc-files)/src
	dh_install $(pkg).asd $(clc-files)
	dh_install "src/*.lisp" $(clc-files)/src

	rm -rf doc/html
	(cd doc; tar xzf html.tar.gz; cd ..)

	dh_installdirs -p $(debpkg-tests) $(clc-tests)/tests $(lib-dir)
	dh_install -p $(debpkg-tests) $(pkg-tests).asd $(clc-tests)
	dh_install -p $(debpkg-tests) tests/*.lisp tests/*.c $(clc-tests)/tests
	dh_install -p $(debpkg-tests) tests/*.so $(lib-dir)

binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i doc/uffi.pdf doc/html
	dh_installexamples -i examples/*.lisp
	dh_installchangelogs -i
	dh_lisp -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installdocs -a
	dh_installchangelogs -a
	dh_lisp -a
	dh_strip -a
	dh_link -a
	dh_compress -a
	dh_fixperms -a
	dh_installmenu -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch


.PHONY: build clean binary-indep binary-arch binary install
