## cl-uffi 2.1.0

=== debian/changelog ===
cl-uffi (2.1.0-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 19 Dec 2011 10:01:23 -0700
