## cl-uffi 2.1.1

=== debian/changelog ===
cl-uffi (2.1.1-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 19 Dec 2011 10:35:50 -0700
