=== benchmarks/Makefile ===
SUBDIRS		:= 

include ../Makefile.common

.PHONY: distclean
distclean: clean
