=== examples/Makefile ===
--- 
+++ 
@@ -5,9 +5,7 @@
 #  Programer:    Kevin M. Rosenberg
 #  Date Started: Mar 2002
 #
-#  CVS Id:   $Id$
-#
-# This file, part of UFFI, is Copyright (c) 2002-2005 by Kevin M. Rosenberg
+# This file, part of UFFI, is Copyright (c) 2002-2010 by Kevin M. Rosenberg
 #
 
 SUBDIRS:=
