=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Kevin M. Rosenberg <kmr@debian.org>
 Build-Depends: dh-lisp, zlib1g-dev,debhelper (>= 7.0.0)
-Standards-Version: 3.8.4.0
+Standards-Version: 3.9.2.0
 Homepage: http://uffi.b9.com/
 Vcs-Git: git://git.b9.com/uffi.git
