=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,11 @@
 
 build: build-stamp
 
-build-stamp:
+build-stamp: build-arch build-indep
+
+build-arch:
+
+build-indep:
 	dh_testdir
 	(cd tests; make)
 	touch build-stamp
