=== debian/watch ===
version=3
http://files.b9.com/uffi/uffi-([\d\.]*)\.tar\.gz
